% Parameter Sweep of a Buck Converter
% Use with plBuckParamSweep.mdl demo model

% create path to scope
scope = 'plBuckParamSweep/Circuit/Scope';

% clear previous traces from scope
plecs('scope', scope, 'ClearTraces');

% parametric values to be swept
inductorValues = [50, 100, 200];

for ix = 1:length(inductorValues)
  % set value for L1
  varL=inductorValues(ix) * 1e-6;
  % start simulation, return probed signal values to workspace
  [t, x, y] = sim('plBuckParamSweep');
  % add labeled scope run
  plecs('scope', scope, 'HoldTrace',['L=' mat2str(inductorValues(ix)) 'uH']);
  % find maximum current value and index
  [maxv, maxidx] = max(y(:,1));
  % Output maximum current values to MATLAB console
  fprintf('Max current for L=%duH: %fA at %fs\n', inductorValues(ix), maxv, t(maxidx));
end